Subject: [PATCH 00/12] mtd: nand: davinci: stop using pdev->id as chipselect

From: [email-masked] (Boris Brezillon)
Date: Tue, 1 May 2018 17:02:01 +0200

On Tue, 1 May 2018 16:01:42 +0530
Sekhar Nori <[email-masked]> wrote:

> On Monday 30 April 2018 03:39 PM, Boris Brezillon wrote:
> > Hi Bartosz,
> > 
> > On Mon, 30 Apr 2018 10:24:41 +0200
> > Bartosz Golaszewski <[email-masked]> wrote:
> >   
> >> From: Bartosz Golaszewski <[email-masked]>
> >>
> >> We have the 'ti,davinci-chipselect' property in the device tree, but
> >> when using platform data the driver silently uses the id field of
> >> struct platform_device as the chipselect. This is confusing and we
> >> almost broke the nand support again recently after converting the
> >> platform to common clock framework (which changed the device id in the
> >> clock lookup - the problem is gone now that we no longer acquire the
> >> clock in the nand driver.
> >>
> >> This series adds a new field to davinci-nand platform data, then makes
> >> all board use it and finally modifies the two drivers that make use of
> >> it.
> >>
> >> Bartosz Golaszewski (12):
> >>   mtd: nand: davinci: store the core chipselect number in platform data  
> > 
> > Raw NAND related patches (that is, everything that is not onenand or
> > SPI NAND) should use the "mtd: rawnand: " prefix now. Other than that,
> > I'm fine with the patch series, just let me know how you want to have it  
> 
> Hi Boris, should I convert the "I'm fine" to some sort of formal tag? If
> yes, what is the tag and for which patches?

Yep, you can add

Acked-by: Boris Brezillon <[email-masked]>

on patches 1 and 11.

Thanks,

Boris